Subject: Re: Another spurious "multiple copies of cygwin1.dll" -- this time in perl
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 5 Jan 2005 11:51:09 -0800

On Wed, Jan 05, 2005 at 10:30:50AM -0500, [email-masked] wrote:
> I can install and run cygwin, but (at least) one application won't work either under cygwin or cygwin/x. When I run perl, I get the message
> 
> C:\cygwin\bin\perl.exe (2208): *** cygheap version mismatch detected - 0x6179000
> 0/0xBF0000.

0x61790000
0xBF0000

Can't say what those numbers *should* look like, but they don't look
like version numbers in the same versioning scheme.

Perhaps a wild pointer smashing things - that is, a problem with
your application.  Have you tried it under valgrind on linux (or
similar tools)?  I note that 0x61790000 is "\0\0ya"; are you working
with any strings that start "ya"?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/